
/******************************************************************************
* MODULE     : symbol_test.cc
* DESCRIPTION: Test symbols
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "string.hpp"
#include "symbol.hpp"
using namespace mml;

void
test () {
  show_symbol_entries<string> ();
  symbol<string> s ("Hallo");
  cout << "s\t= " << s << "\n";
  show_symbol_entries<string> ();
  symbol<string> t ("Hallo");
  cout << "s\t= " << s << "\n";
  cout << "t\t= " << t << "\n";
  show_symbol_entries<string> ();
  t= symbol<string> ("Hopsakee");
  cout << "s\t= " << s << "\n";
  cout << "t\t= " << t << "\n";
  show_symbol_entries<string> ();
  t= s;
  cout << "s\t= " << s << "\n";
  cout << "t\t= " << t << "\n";
  show_symbol_entries<string> ();
}

int
main () {
  show_symbol_entries<string> ();
  test ();
  show_symbol_entries<string> ();
  return 0;
}
