
/******************************************************************************
* MODULE     : symbolic_test.cc
* DESCRIPTION: Test symbolic expressions
* COPYRIGHT  : (C) 2003  Joris van der Hoeven
*******************************************************************************
* This software falls under the GNU general public license and comes WITHOUT
* ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for more details.
* If you don't have this file, write to the Free Software Foundation, Inc.,
* 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
******************************************************************************/

#include "symbolic_aux.hpp"
using namespace mml;

int
main () {
  symbolic x ("x");
  symbolic y ("y");
  symbolic z (111111111);
  cout << "x\t= " << x << "\n";
  cout << "y\t= " << y << "\n";
  cout << "z\t= " << z << "\n";
  cout << "x*y\t= " << (x*y) << "\n";
  cout << "x=y\t= " << (x==y) << "\n";
  cout << "x!=y\t= " << (x!=y) << "\n";
  cout << "x+1\t= " << (x+1) << "\n";
  cout << "z*z\t= " << z*z << "\n";
  cout << "z*z*z\t= " << z*z*z << "\n";
  cout << "z/7\t= " << z/7 << "\n";
  cout << "z/111\t= " << z/111 << "\n";
  /*
  cout << "x<y\t= " << (x<y) << "\n";
  cout << "x<=y\t= " << (x<=y) << "\n";
  cout << "x>y\t= " << (x>y) << "\n";
  cout << "x>=y\t= " << (x>=y) << "\n";
  */
  return 0;
}
